org.eclipse.wst.jsdt.debug.core.jsdi

## Interface NumberValue

All Superinterfaces:
  Mirror, PrimitiveValue, Value

    public interface NumberValue
    extends PrimitiveValue

Abstract representation of a `Number` value with-respect-to JavaScript debugging.

Since:
  1.0
See Also:
  `Value`
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static java.lang.String` `INFINITY` Represents the value for positive infinity
`static java.lang.String` `NAN` Represents the value for 'Not A Number'
`static java.lang.String` `NEG_INFINITY` Represents the value for negative infinity

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isNaN()` Returns if the this `NumberValue` is a valid number or not.
`java.lang.Number` `value()` Returns the underlying `Number` value for this value.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.PrimitiveValue

`booleanValue, doubleValue, intValue, stringValue`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Value

`valueString`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Field Detail

#### NAN

    static final java.lang.String NAN

Represents the value for 'Not A Number'

See Also:
  Constant Field Values

#### NEG_INFINITY

    static final java.lang.String NEG_INFINITY

Represents the value for negative infinity

See Also:
  Constant Field Values

#### INFINITY

    static final java.lang.String INFINITY

Represents the value for positive infinity

See Also:
  Constant Field Values

### Method Detail

#### value

    java.lang.Number value()

Returns the underlying `Number` value for this value.
This method can return `null` if its value is not a number.

Returns:
  the underlying `Number` value
See Also:
  `NAN`, `NEG_INFINITY`, `INFINITY`

#### isNaN

    boolean isNaN()

Returns if the this `NumberValue` is a valid number or not.

Returns:
  true if this is a valid number false otherwise.
See Also:
  `NAN`, `NEG_INFINITY`, `INFINITY`